Knox Docs Sign in

API reference

Test mode. Use your secret key on your server; live processing is currently disabled.

https://api.knoxapi.com

Send form-encoded requests with Authorization: Bearer sk_test_....

Complete OpenAPI specification · Integration guide

Operations and schemas are based on the pinned Stripe OpenAPI specification (MIT). Nested object definitions and enums are available in the complete specification.

GET /v1/reviews

List all open reviews

Returns a list of Review objects that have open set to true. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

Request parameters

ParameterLocationTypeDescription
createdqueryone of multiple schemasOnly return reviews that were created during the given date interval.
ending_beforequerystringA cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.
expandqueryarray of stringSpecifies which fields in the response should be expanded.
limitqueryintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterquerystringA cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
data requiredarray of review
has_more requiredbooleanTrue if this list has another page of items after this one that can be fetched.
object requiredstringString representing the object's type. Objects of the same type share the same value. Always has the value `list`.
url requiredstringThe URL where this list can be accessed.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
GET /v1/reviews/{review}

Retrieve a review

Retrieves a Review object.

Request parameters

ParameterLocationTypeDescription
expandqueryarray of stringSpecifies which fields in the response should be expanded.
reviewpathstring

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
billing_zipstringThe ZIP or postal code of the card used, if applicable.
chargeone of multiple schemasThe charge associated with this review.
closed_reasonstringThe reason the review was closed, or null if it has not yet been closed. One of `approved`, `refunded`, `refunded_as_fraud`, `disputed`, `redacted`, `canceled`, `payment_never_settled`, or `acknowledged`.
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
id requiredstringUnique identifier for the object.
ip_addressstringThe IP address where the payment originated.
ip_address_locationone of multiple schemasInformation related to the location of the payment. Note that this information is an approximation and attempts to locate the nearest population center - it should not be used to determine a specific address.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
object requiredstringString representing the object's type. Objects of the same type share the same value.
open requiredbooleanIf `true`, the review needs action.
opened_reason requiredstringThe reason the review was opened. One of `rule` or `manual`.
payment_intentone of multiple schemasThe PaymentIntent ID associated with this review, if one exists.
reason requiredstringThe reason the review is currently open or closed. One of `rule`, `manual`, `approved`, `refunded`, `refunded_as_fraud`, `disputed`, `redacted`, `canceled`, `payment_never_settled`, or `acknowledged`.
sessionone of multiple schemasInformation related to the browsing session of the user who initiated the payment.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
POST /v1/reviews/{review}/approve

Approve a review

Approves a Review object, closing it and removing it from the list of reviews.

Request parameters

ParameterLocationTypeDescription
reviewpathstring
FieldTypeDescription
expandarray of stringSpecifies which fields in the response should be expanded.

Responses

HTTP 200: Successful response.
FieldTypeDescription
billing_zipstringThe ZIP or postal code of the card used, if applicable.
chargeone of multiple schemasThe charge associated with this review.
closed_reasonstringThe reason the review was closed, or null if it has not yet been closed. One of `approved`, `refunded`, `refunded_as_fraud`, `disputed`, `redacted`, `canceled`, `payment_never_settled`, or `acknowledged`.
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
id requiredstringUnique identifier for the object.
ip_addressstringThe IP address where the payment originated.
ip_address_locationone of multiple schemasInformation related to the location of the payment. Note that this information is an approximation and attempts to locate the nearest population center - it should not be used to determine a specific address.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
object requiredstringString representing the object's type. Objects of the same type share the same value.
open requiredbooleanIf `true`, the review needs action.
opened_reason requiredstringThe reason the review was opened. One of `rule` or `manual`.
payment_intentone of multiple schemasThe PaymentIntent ID associated with this review, if one exists.
reason requiredstringThe reason the review is currently open or closed. One of `rule`, `manual`, `approved`, `refunded`, `refunded_as_fraud`, `disputed`, `redacted`, `canceled`, `payment_never_settled`, or `acknowledged`.
sessionone of multiple schemasInformation related to the browsing session of the user who initiated the payment.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors